/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomNodeIterator_H___INT_
#define __GdomNodeIterator_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "NodeIterator.h"
namespace WebCore {
    gpointer toGDOM(NodeIterator* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMNodeIterator : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_NODE_ITERATOR; }
    GDOMNodeIterator(PassRefPtr<WebCore::NodeIterator> impl);
    virtual ~GDOMNodeIterator();
    WebCore::NodeIterator* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::NodeIterator> m_impl;
};
G_END_DECLS

#endif /* __GdomNodeIterator_H___INT_*/
